// @ts-check
import { defineConfig } from 'astro/config';

import mdx from '@astrojs/mdx';
import react from '@astrojs/react';
import tailwind from '@astrojs/tailwind';
import gfm from "remark-gfm";

import remarkMath from "remark-math";
import rehypeKatex from "rehype-katex";

// https://astro.build/config
export default defineConfig({
  integrations: [mdx(), react(), tailwind()],
  site: 'https://2024.igem.wiki/',
  outDir: './public',
  publicDir: './static',
  base: '/lambert-ga',
  redirects: {
    '/crispri': '/lambert-ga/crisprioverview',
    '/toeholds': '/lambert-ga/toeholdsoverview'
  },
  markdown: {
    remarkPlugins: [gfm, remarkMath],
      rehypePlugins: [rehypeKatex],
  }
});