import React from "react";
import {
  SiFacebook,
  SiInstagram,
  SiX,
  SiYoutube,
} from "@icons-pack/react-simple-icons";

const Footer = () => {
  return (
    <footer className="relative w-screen h-full flex grow justify-center">
      <div
        className=" bg-cover py-20 px-16 w-full bg-clip-padding m-8 rounded-xl"
        style={{
          backgroundImage: "linear-gradient(to bottom, #1C1C1F, #101010)",
        }}
      >
        <div className="w-full ">
          {/* <hr className="my-6 border-blueGray-300" /> */}
          <div className="flex flex-col lg:flex-row space-y-4 justify-start items-start lg:items-center lg:justify-start">
            <div className="w-full px-1 space-y-2">
              <h1 className="text-4xl lg:text-7xl text-white-1 font-inter font-bold mb-4">
                Lambert-GA
              </h1>
              <p className="text-xs w-full mt-0 mb-2 font-inter text-gray-11">
                © <span id="get-current-year">2024</span> - Content on this
                site is licensed under a{" "}
                <a
                  href="https://creativecommons.org/licenses/by/4.0/"
                  className="hover:text-[#FFF] transition-all"
                  target="_blank"
                >
                  Creative Commons Attribution 4.0 International license.
                </a>
              </p>
              <p className="text-xs w-full mt-0 mb-2 font-inter text-gray-11">
                The repository used to create this website is available at{" "}
                <a
                  href="https://gitlab.igem.org/2024/lambert-ga"
                  className=" hover:text-[#FFF] transition-all"
                  target="_blank"
                >
                  https://gitlab.igem.org/2024/lambert-ga
                </a>
              </p>
            </div>

            <div className="flex-col flex px-4 space-y-2">
              <div className="flex items-center space-x-2 text-gray-11">
                <SiX size={18} className="text-gray-10" />
                <span>@lamberths_iGEM</span>
              </div>
              <div className="flex items-center space-x-2 text-gray-11">
                <SiInstagram size={18} className="text-gray-10" />
                <span>@lambertigem</span>
              </div>
              <div className="flex items-center space-x-2 text-gray-11">
                <SiYoutube size={18} className="text-gray-10" />
                <span>@Lambert iGEM</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>
  );
};
export default Footer;
