import * as Tabs from "@radix-ui/react-tabs";
import LayoutTab from "../../layouts/PageLayoutCompTab";
import clsx from "clsx";
export default function TabReact({
  labels,
  links,
  focus,
  color,
}: {
  labels: string[];
  links: string[];
  focus: string;
  color: string;
}) {
  console.log("focus", focus);

  let bgTextColor =
    color == "blue"
      ? `bg-blue-4`
      : color == "magenta"
        ? "bg-magenta-4"
        : color == "green"
        ? "bg-green-4"
        : "bg-pink-4";

  return (
    <div className="w-full flex grow space-x-4">
      {labels.map((label, index) => (
        <a
          href={"/lambert-ga/" + links[index]}
          // text-center text-green-11 font-sans text-lg font-medium hover:bg-gray-3 rounded-full m-1 data-[state=active]:bg-gray-4 data-[state=active]:text-gray-12 grow h-[54px] justify-center no-underline decoration-inherit items-center bg-gray-4 hadow border border-gray-6 flex flex-shrink mb-10
          className={clsx(
            "p-2 grow decoration-gray-11 text-center rounded-full my-4 mb-6", // Common styles
            focus === label ? bgTextColor : "bg-gray-4 hover:bg-gray-3" // Apply hover only if not the active tab
          )}
          style={{ textDecoration: "none", color: "white" }}
          key={index}
        >
          {label}
        </a>
      ))}
    </div>
  );
}
